function m = allPhantomsOK(phantomObject)

missingPointTargets	= 0;
missingCysts		= 0;

for a = 1:length(phantomObject)
    if (phantomObject(a).foundTot == false)
        if (strcmp(phantomObject(a).type, 'POINT_TARGET'))
            missingPointTargets = missingPointTargets + 1;
        end
        if (strcmp(phantomObject(a).type, 'CYST'))
            missingCysts = missingCysts + 1;
        end
    end
end

if (missingPointTargets == 0 && missingCysts == 0)
    m = 'All phantom objects are found.';
else
    m2 = '';
    if (missingPointTargets ~= 0)
        m2 = ' One or more point targets are missing.';
    end
    if (missingCysts ~= 0)
        m2 = ' One or more cysts are missing.';
    end
    m = 'NOT ALL PHANTOM OBJECTS ARE FOUND! A new image should be recorded or the given points in debug.res should be reviewed.';
    m = strcat(m,m2);
end