function res = measurementOfDistances(phantomObjectVec)

load param.mat;
res = struct();

res.measDist1 = [];			% 1. dist 
res.measDist2 = [];         % 2. diff

for n = 2:5
    if (n == 2 || n == 4)	% upper and lower point target
        originalDist	= p.radialDistance;
        dist			= abs(phantomObjectVec(1).posY - phantomObjectVec(n).posY);
    else					% right and left point target 
        originalDist	= p.lateralDistance;
        dist			= abs(phantomObjectVec(1).posX - phantomObjectVec(n).posX);
    end

    if (n == 2)
        dist = dist/3.0;
    end

    diff = abs(originalDist - dist);

    res.measDist1 = [res.measDist1 dist];
    res.measDist2 = [res.measDist2 diff];
end