
h = gcglobalget('h');
info = getdatainfo(h,'IQ');     % info som prf,c,f0 ++ lagres i info.xx

% TEE data, focus in bottom...
%info.focusPos = 0.09;

%% Get IQ data
IQ = gcgetframedata(h,'IQ',gcframe());

% MLA
% STB = 0;
% if(~STB)
%     %load('I:\Ultralyddata\2007.11.16 - ProbeContact\Image10.mat');
%     %load('I:\Ultralyddata\2007.11.16 - ProbeContact\Image11.mat');
%     %load('I:\Ultralyddata\2007.11.16 - ProbeContact\Image12.mat');
%     load('I:\Ultralyddata\2007.11.16 - ProbeContact\Image13.mat');
%     IQ = iqData;
% else
% % STB
% %     load('I:\Ultralyddata\2007.11.16 - ProbeContact\Image10_stbProcessed.mat');
%     %load('I:\Ultralyddata\2007.11.16 - ProbeContact\Image11_stbProcessed.mat');
%     %load('I:\Ultralyddata\2007.11.16 - ProbeContact\Image12_stbProcessed.mat');
%     load('I:\Ultralyddata\2007.11.16 - ProbeContact\Image13_stbProcessed.mat');
%     IQ = iqDataProc;
%     info.beams = size(IQ,2);
%     info.latInc = info.width/info.beams;
% end

%% Make B-mode image
% Fm = eye(info.packetsize);
% %Fm = polyreg(info.packetsize,1,0,0,60);
% IQ = reshape(IQ,[info.packetsize,info.ranges*info.beams]);
% IQ = Fm*IQ;
% IQ = reshape(IQ,[size(IQ,1),info.ranges,info.beams]);
%img = squeeze(mean(abs(IQ).^2,1));
% img = squeeze(abs(IQ).^2);
% img = 255/40*(10*log10(img+eps) - 50);
% figure(1001);
% image(img);
% colormap(gray(255));
% return;


%% Get contact map
p = struct();
p.NSmooth = 5;
p.NFFT = 512;
p.avgRange = 0.01;             % [m] averaging region centered around focus point
p.avgSector = 90;              % grader
p.curFrame = gcframe();
p.clutterFilter = 0;
p.harmonic = 1;

p.explicitApertures = 1;        % Use apertures defined explicitly
p.txAperture = 0.022;
p.rxAperture = 0.022;
p.txApodization = 'rect';
p.rxApodization = 'rect';

p.scaling = 'twoway'; 
p.gain = 0;
p.plotTwowayAperture = 1;
prbCont = calcProbeContact(IQ, p, info);

% TODO: Estimate unit bandwidth of the general convoluted aperture and
% scale with estimated one to get estimated aperture

% Display contact map
d = struct();
d.figNo = 3000;
d.dispType = 'bar';% 'plot';%
d.numBars = 100;
d.color = [0.5 0.6 0.70];
d.ylim = [0 80];
d.fontSizeSmall = 14;
dispContactMap(prbCont,d);

% Make movie
if(0)
    clear F;
    for k=1:info.noFrames,
        ind = info.noFrames - k + 1;
        IQ = gcgetframedata(h,'IQ',ind);
        prbCont = calcProbeContact(IQ,p,info);
        % Display contact map
        dispContactMap(prbCont,d);

        F(k) = getframe(d.figNo);
        pause(0.05);    

    end

    save('movie2.mat','F');
    movie2avi(F,'.\MatchingMovie32.avi','fps',5);
end
return;

% pyramidal matching
if(0)
latSpect = prbCont.latSpect;
%latSpect(latSpect < 0.3*mean(latSpect)) = 0; % truncate background noise
[start center stop height] = PyramidMatching(prbCont.apAxis, latSpect);
hold on; plot(100*[start center stop], [0 10*log10(abs(height)) 0],'r');hold off;
(stop-start)/info.txAperture
end