function position = getPolygon(name)

position = [];

if (strcmp(name,'PhantomShape'))
    position = [-0.005 0.0800;...
                -0.005 0.0900;...
                 0.005 0.0900;...
                 0.005 0.0800;...
                -0.005 0.0800];
end
if (strcmp(name,'PhantomShapeNorth'))    
    position = [-0.005 0.05;...
                -0.005 0.06;...
                 0.005 0.06;...
                 0.005 0.05;...
                -0.005 0.05];
end
% NB! The image is laterally reversed
if (strcmp(name,'PhantomShapeEast'))
    position = [-0.045 0.0800;...
                -0.045 0.0900;...
                -0.035 0.0900;...
                -0.035 0.0800;...
                -0.045 0.0800];
end
if (strcmp(name,'PhantomShapeSouth'))
    position = [-0.005 0.1210;...
                -0.005 0.1310;...
                 0.005 0.1310;...
                 0.005 0.1210;...
                -0.005 0.1210];
end
if (strcmp(name,'PhantomShapeWest'))
    position = [0.045 0.0800;...
                0.045 0.0900;...
                0.035 0.0900;...
                0.035 0.0800;...
                0.045 0.0800];
end
if (strcmp(name,'PhantomShapeExtra1'))
    position = [-0.005 0.06;...
                -0.005 0.07;...
                 0.005 0.07;...
                 0.005 0.06;...
                -0.005 0.06];
end
if (strcmp(name,'PhantomShapeExtra2'))
    position = [-0.005 0.07;...
                -0.005 0.08;...
                 0.005 0.08;...
                 0.005 0.07;...
                -0.005 0.07];
end
if (strcmp(name,'PhantomShapeExtra3'))
    position = [-0.005 0.0905;...
                -0.005 0.1005;...
                 0.005 0.1005;...
                 0.005 0.0905;...
                -0.005 0.0905];
end
if (strcmp(name,'PhantomShapeExtra4'))
    position = [-0.005 0.10;...
                -0.005 0.11;...
                 0.005 0.11;...
                 0.005 0.10;...
                -0.005 0.10];
end
if (strcmp(name,'PhantomShapeExtra5'))
    position = [-0.005 0.0380;...
                -0.005 0.0480;...
                 0.005 0.0480;...
                 0.005 0.0380;...
                -0.005 0.0380];
end
